#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=buttlar1.14_base.ps
projection=-JM16.0c+
region=-R9.1/10.3/50.1/51.0
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map buttlar1.14' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/c10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    50.903     9.910
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    50.853     9.600
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    50.366     9.614
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    50.883     9.946
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    50.364    10.071
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    50.866     9.953
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    50.786    10.034
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    50.775    10.022
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    50.772     9.992
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    50.715    10.137
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    50.324     9.167
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    50.505    10.175
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    50.251     9.740
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    50.241     9.745
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    50.240     9.740
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    50.244     9.736
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    50.796    10.101
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.897     9.899
    50.903     9.910
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.770     9.972
    50.903     9.910
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.825     9.628
    50.853     9.600
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.800     9.600
    50.853     9.600
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.362     9.616
    50.366     9.614
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.400     9.800
    50.366     9.614
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.877     9.943
    50.883     9.946
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.720     9.911
    50.883     9.946
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.364    10.073
    50.364    10.071
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.390    10.095
    50.364    10.071
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.866     9.955
    50.866     9.953
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.878     9.983
    50.866     9.953
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.786    10.035
    50.786    10.034
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.763    10.022
    50.786    10.034
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.777    10.025
    50.775    10.022
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.757    10.035
    50.775    10.022
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.773     9.995
    50.772     9.992
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.751    10.020
    50.772     9.992
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.715    10.139
    50.715    10.137
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.687    10.137
    50.715    10.137
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.322     9.172
    50.324     9.167
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.321     9.161
    50.324     9.167
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.504    10.176
    50.505    10.175
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.487    10.176
    50.505    10.175
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.250     9.742
    50.251     9.740
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.239     9.697
    50.251     9.740
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.240     9.746
    50.241     9.745
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.244     9.713
    50.241     9.745
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.235     9.744
    50.240     9.740
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.246     9.744
    50.240     9.740
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.243     9.736
    50.244     9.736
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.247     9.752
    50.244     9.736
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    50.795    10.104
    50.796    10.101
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    50.780    10.090
    50.796    10.101
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    50.903     9.910   -81.090     1.709     2.766
    50.853     9.600    74.090     2.466     5.154
    50.366     9.614    62.128     1.405     4.531
    50.883     9.946   -80.328     1.387     2.206
    50.364    10.071   -85.493     1.318     1.668
    50.866     9.953   -27.579     1.277     2.962
    50.786    10.034   -70.146     1.104     1.710
    50.775    10.022   -81.537     1.305     1.649
    50.772     9.992    60.649     1.364     2.526
    50.715    10.137   -68.459     0.830     1.505
    50.324     9.167    60.626     1.132     2.194
    50.505    10.175    76.444     0.729     1.391
    50.251     9.740    68.346     0.647     1.399
    50.241     9.745    61.482     0.560     1.094
    50.240     9.740    64.270     1.114     3.631
    50.244     9.736    66.601     0.675     1.633
    50.796    10.101    31.462     1.800     2.649
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    50.189     9.151    58.192     1.528     1.816
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    50.189     9.173   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    50.189     9.151     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    50.189     9.151     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    50.144     9.151   5 km
END
