#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=buttlar1.14_dcal.ps
projection=-JM16.0c+
region=-R6.2/13.1/48.3/52.8
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration buttlar1.14' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/ETOPO/ETOPO1_Bed_g_gmt4.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.223     8.447
    50.853     9.600
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.223     8.447
    50.366     9.614
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.830     9.944
    50.883     9.946
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.537    10.157
    50.364    10.071
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.537    10.157
    50.364    10.071
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.819    10.001
    50.364    10.071
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.819    10.001
    50.866     9.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.819    10.001
    50.866     9.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.545     9.965
    50.866     9.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.545     9.965
    50.866     9.953
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.819    10.001
    50.786    10.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.545     9.965
    50.786    10.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.545     9.965
    50.775    10.022
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.545     9.965
    50.772     9.992
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.545     9.965
    50.772     9.992
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.819    10.001
    50.715    10.137
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.819    10.001
    50.715    10.137
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.887    10.092
    50.715    10.137
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.887    10.092
    50.715    10.137
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.535    11.212
    50.715    10.137
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.535    11.212
    50.715    10.137
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.592    11.472
    50.715    10.137
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.592    11.472
    50.715    10.137
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.645    11.616
    50.715    10.137
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.645    11.616
    50.715    10.137
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.223     8.447
    50.324     9.167
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.819    10.001
    50.324     9.167
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.887    10.092
    50.324     9.167
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.819    10.001
    50.505    10.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.819    10.001
    50.505    10.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.645    11.616
    50.505    10.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.645    11.616
    50.505    10.175
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.172     9.346
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.172     9.346
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.828     9.293
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.828     9.293
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.843     8.663
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.843     8.663
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.223     8.447
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.223     8.447
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.654     8.818
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.654     8.818
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.349     9.606
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.349     9.606
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.394     8.270
    50.251     9.740
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.172     9.346
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.172     9.346
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.828     9.293
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.828     9.293
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.843     8.663
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.843     8.663
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.223     8.447
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.223     8.447
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.223     8.447
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.654     8.818
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.654     8.818
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.349     9.606
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.349     9.606
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.394     8.270
    50.241     9.745
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.172     9.346
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.172     9.346
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.537    10.157
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.537    10.157
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.653     9.910
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.653     9.910
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.828     9.293
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.828     9.293
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.603    10.792
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.843     8.663
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.843     8.663
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.223     8.447
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.223     8.447
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.223     8.447
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.654     8.818
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.654     8.818
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.349     9.606
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.394     8.270
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.394     8.270
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.911     8.297
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    49.911     8.297
    50.244     9.736
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    51.545     9.965
    50.796    10.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    50.645    11.616
    50.796    10.101
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    50.223     8.447     0.300
    50.830     9.944     0.300
    50.537    10.157     0.300
    50.819    10.001     0.300
    51.545     9.965     0.300
    50.887    10.092     0.300
    50.535    11.212     0.300
    50.592    11.472     0.300
    50.645    11.616     0.300
    50.172     9.346     0.300
    49.828     9.293     0.300
    49.843     8.663     0.300
    49.654     8.818     0.300
    49.349     9.606     0.300
    50.394     8.270     0.300
    50.653     9.910     0.300
    50.603    10.792     0.300
    49.911     8.297     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.903     9.910     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.853     9.600     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.366     9.614     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.883     9.946     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.364    10.071     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.866     9.953     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.786    10.034     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.775    10.022     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.772     9.992     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.715    10.137     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.324     9.167     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.505    10.175     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.251     9.740     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.241     9.745     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.240     9.740     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.244     9.736     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    50.796    10.101     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    50.581     9.864     0.000   222.000   222.000
    50.581     9.864     0.000   444.000   444.000
END
